Bug 203933 - [UPDATE] net-mgmt/seafile: Update to 5.1.2 with bug fixes
Summary: [UPDATE] net-mgmt/seafile: Update to 5.1.2 with bug fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: patch, patch-ready
Depends on: 203930 204103 204681 205669 206093 208979
Blocks: 203929 203934
  Show dependency treegraph
 
Reported: 2015-10-21 15:12 UTC by Ultima
Modified: 2016-09-05 16:24 UTC (History)
5 users (show)

See Also:
Ultima1252: maintainer-feedback+


Attachments
seafile.diff (22.08 KB, patch)
2015-10-21 15:12 UTC, Ultima
no flags Details | Diff
102amd64-poudriere.log (320.45 KB, text/x-log)
2015-10-21 20:17 UTC, Ultima
no flags Details
102i386-poudriere.log (320.22 KB, text/x-log)
2015-10-21 20:17 UTC, Ultima
no flags Details
93amd64-poudriere.log (314.22 KB, text/x-log)
2015-10-21 20:18 UTC, Ultima
no flags Details
93i386-poudriere.log (308.96 KB, text/x-log)
2015-10-21 20:18 UTC, Ultima
no flags Details
seafile.diff (22.08 KB, patch)
2015-11-26 15:08 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (24.19 KB, patch)
2015-11-28 16:16 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (34.16 KB, patch)
2015-12-08 04:25 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (34.01 KB, patch)
2015-12-10 03:04 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (34.01 KB, patch)
2015-12-26 19:02 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (33.85 KB, patch)
2015-12-29 07:08 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (34.01 KB, patch)
2015-12-30 16:29 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (34.16 KB, patch)
2016-01-10 20:24 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (34.80 KB, patch)
2016-01-29 22:26 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (33.83 KB, patch)
2016-01-31 20:15 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (33.98 KB, patch)
2016-02-23 13:04 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (36.69 KB, patch)
2016-04-16 23:00 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (36.64 KB, patch)
2016-04-22 17:32 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (35.74 KB, patch)
2016-04-23 12:03 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (35.70 KB, patch)
2016-04-23 19:49 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile.diff (35.47 KB, patch)
2016-05-14 17:03 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2015-10-21 15:12:43 UTC
Created attachment 162296 [details]
seafile.diff

This patch is an update to the most recent version of Seafile. There are many changes to the patch files mostly for portlint satisfaction. The update also brings an undesirable bug (ASCII \ bug with sed).

* Updated to 4.4.3
* Added LICENSE_FILE
* Added max python version
* Added many SHEBANGFIX files
* A Few patch files needed to be adjusting for update
* Sed fixed for BSD bug.
* Added %%FUSE%% to plist to make poudriere =D

https://reviews.freebsd.org/D3947
Comment 1 Ultima 2015-10-21 20:17:28 UTC
Created attachment 162316 [details]
102amd64-poudriere.log
Comment 2 Ultima 2015-10-21 20:17:47 UTC
Created attachment 162317 [details]
102i386-poudriere.log
Comment 3 Ultima 2015-10-21 20:18:05 UTC
Created attachment 162318 [details]
93amd64-poudriere.log
Comment 4 Ultima 2015-10-21 20:18:23 UTC
Created attachment 162319 [details]
93i386-poudriere.log
Comment 5 Jason Unovitch freebsd_committer 2015-10-29 03:23:14 UTC
Set maintainer-feedback+ as submitter is now maintainer and this is ready for QA and commit.
Comment 6 Jason Unovitch freebsd_committer 2015-10-30 02:35:57 UTC
Add depends on bug 204103 to have the audit trail on why the maintainer-feedback was reset.

See also: https://lists.FreeBSD.org/pipermail/freebsd-ports/2015-October/100923.html
Comment 7 informatique.src 2015-11-12 16:23:11 UTC
Hi Ultima,

Thanks for adopting this port: i really appreciate it. 

Just wanted to let you know that after applying, alas manually :-/, your updated patch, and building succesfully the net-mgmt/{ccnet,seafile} and www/seahub port, i have a weird issue where:
  - i can upload any file without any problem. It just works !
  - but i can't download anything ?! The browser keep spinning *endlessly* when cliking on the download link of a file and there's nothing useful in the logs/

And i can reproduce this issue when running seafile in standalone mode *and* when running it behind Apache (fastcgi mode with mod_proxy), and on the host or in a jail 

I don't think i made any configuration mistakes but just to  be sure, here is the content of the main configuration files (generated by setup-seafiel-mysql.sh)
-----------------------------------------------------------------------------
root@localhost:/usr/local/www/haiwen # uname -a
FreeBSD localhost 10.2-RELEASE-p7 FreeBSD 10.2-RELEASE-p7 #0: Mon Nov  2 14:19:39 UTC 2015     root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC  amd64

root@localhost:/usr/local/www/haiwen # find . -iname '*.conf'
./ccnet/ccnet.conf
./conf/seafdav.conf
./seafile-data/seafile.conf
./seafile-server/runtime/seahub.conf
root@localhost:/usr/local/www/haiwen # less ccnet/ccnet.conf
[General]
USER_NAME = seafichier
ID = 3f02b8155bb94a5e4ea492863a106732135dd628
NAME = seafichier
SERVICE_URL = http://10.90.0.90:8000

[Client]
PORT = 13419

[Database]
ENGINE = mysql
HOST = 127.0.0.1
PORT = 3306
USER = root
PASSWD = <password>
DB = ccnet-db
CONNECTION_CHARSET = utf8

root@localhost:/usr/local/www/haiwen # less conf/seafdav.conf 

[WEBDAV]
enabled = false
port = 8080
fastcgi = false
share_name = /

root@localhost:/usr/local/www/haiwen # cat ./seafile-data/seafile.conf
[fileserver]
port = 8082

[database]
type = mysql
host = 127.0.0.1
port = 3306
user = root
password = <password>
db_name = seafile-db
connection_charset = utf8

root@localhost:/usr/local/www/haiwen # cat ./seafile-server/runtime/seahub.conf
import os

daemon = True
workers = 3

# Logging
runtime_dir = os.path.dirname(__file__)
pidfile = os.path.join(runtime_dir, 'seahub.pid')
errorlog = os.path.join(runtime_dir, 'error.log')
accesslog = os.path.join(runtime_dir, 'access.log')
# for file upload, we need a longer timeout value (default is only 30s, too short)
timeout = 1200

root@localhost:/usr/local/www/haiwen # sockstat -4l
USER     COMMAND    PID   FD PROTO  LOCAL ADDRESS         FOREIGN ADDRESS      
root     python2.7  95967 10 tcp4   *:8000                *:*
root     python2.7  95966 10 tcp4   *:8000                *:*
root     python2.7  95965 10 tcp4   *:8000                *:*
root     python2.7  95962 10 tcp4   *:8000                *:*
root     seaf-serve 95725 18 tcp4   *:8082                *:*
root     ccnet-serv 95723 6  udp4   *:*                   *:*
mysql    mysqld     40812 10 tcp4 6 *:3306                *:*
root     sendmail   2387  3  tcp4   127.0.0.1:25          *:*
root     sshd       2366  4  tcp4   *:22                  *:*
root     syslogd    2254  7  udp4   *:514                 *:*
root@localhost:/usr/local/www/haiwen # 


Regarding the host, i'm not if this is relevant but it's networking configuration is a bit complex (a Trunk logicial link above LACP aggregated NICs)
-----------------------------------------------------------------------------
root@localhost:/usr/local/www/haiwen # ifconfig
ix0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8407bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,LRO,VLAN_HWTSO>
	ether ec:f4:bb:e5:df:60
	inet 172.16.0.2 netmask 0xffffff00 broadcast 172.16.0.255 
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
	status: no carrier
ix1: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8407bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,LRO,VLAN_HWTSO>
	ether ec:f4:bb:e5:df:62
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
	status: no carrier
igb0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=403bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,VLAN_HWTSO>
	ether 00:1b:21:18:d3:58
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect (1000baseT <full-duplex>)
	status: active
igb1: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=403bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,VLAN_HWTSO>
	ether 00:1b:21:18:d3:58
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect (1000baseT <full-duplex>)
	status: active
igb2: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=403bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,VLAN_HWTSO>
	ether 00:1b:21:18:d3:58
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect (1000baseT <full-duplex>)
	status: active
igb3: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=403bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,VLAN_HWTSO>
	ether 00:1b:21:18:d3:58
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect (1000baseT <full-duplex>)
	status: active
igb4: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=403bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,VLAN_HWTSO>
	ether 00:1b:21:18:d3:58
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect (1000baseT <full-duplex>)
	status: active
igb5: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=403bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,VLAN_HWTSO>
	ether 00:1b:21:18:d3:58
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect (1000baseT <full-duplex>)
	status: active
lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 16384
	options=600003<RXCSUM,TXCSUM,RXCSUM_IPV6,TXCSUM_IPV6>
	inet6 ::1 prefixlen 128 
	inet6 fe80::1%lo0 prefixlen 64 scopeid 0x9 
	inet 127.0.0.1 netmask 0xff000000 
	nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
lagg0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=403bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,VLAN_HWTSO>
	ether 00:1b:21:18:d3:58
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
	status: active
	laggproto lacp lagghash l3,l4
	laggport: igb0 flags=1c<ACTIVE,COLLECTING,DISTRIBUTING>
	laggport: igb1 flags=1c<ACTIVE,COLLECTING,DISTRIBUTING>
	laggport: igb2 flags=1c<ACTIVE,COLLECTING,DISTRIBUTING>
	laggport: igb3 flags=1c<ACTIVE,COLLECTING,DISTRIBUTING>
	laggport: igb4 flags=1c<ACTIVE,COLLECTING,DISTRIBUTING>
	laggport: igb5 flags=1c<ACTIVE,COLLECTING,DISTRIBUTING>
lagg0.1: flags=8842<BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=303<RXCSUM,TXCSUM,TSO4,TSO6>
	ether 00:1b:21:18:d3:58
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
	status: active
	vlan: 1 parent interface: lagg0
#(....)
lagg0.90: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=303<RXCSUM,TXCSUM,TSO4,TSO6>
	ether 00:1b:21:18:d3:58
	inet 10.90.0.90 netmask 0xffff0000 broadcast 10.90.255.255 
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
	status: active
	vlan: 90 parent interface: lagg0


Do you have any idea what could be the issue please :-) ?
Thanks !
Comment 8 Ultima 2015-11-12 18:17:31 UTC
(In reply to informatique.src from comment #7)
 Hello,
 Thanks for supplying all this! It will help greating with reproducing. Could you also please supply your seahub_settings.py in the haiwen directory?

 Also, did you run the upgrade scripts after the install? there should be a few needed to run. 4.0 --> 4.1, 4.1 --> 4.2 ... all the way to 4.4 in that order.

 Did you apply all the patches? there are 7 ports that were also updated. Don't think the few you *may* have missed would cause this issue, but I have not test these ports without all the patches.
Comment 9 Ultima 2015-11-13 04:22:13 UTC
(In reply to informatique.src from comment #7)

 Seahub does not like the update to www/libevhtp. Here is a patch that will fix the issue. (just a revert to the previous version) When I get more time ill investigate further.

Index: www/libevhtp/Makefile
===================================================================
--- www/libevhtp/Makefile       (revision 401471)
+++ www/libevhtp/Makefile       (working copy)
@@ -14,7 +14,7 @@

 USE_GITHUB=    yes
 GH_ACCOUNT=    ellzey
-GH_TAGNAME=    ba4c44e
+GH_TAGNAME=    3886506

 USES=          cmake:outsource
 USE_LDCONFIG=  yes
Index: www/libevhtp/distinfo
===================================================================
--- www/libevhtp/distinfo       (revision 401471)
+++ www/libevhtp/distinfo       (working copy)
@@ -1,2 +1,2 @@
-SHA256 (ellzey-libevhtp-1.2.10-ba4c44e_GH0.tar.gz) = d5b022e2a3847ed7344bc7bca7ac7feb6b4a7e877d12452a15a96ba1c760d25a
-SIZE (ellzey-libevhtp-1.2.10-ba4c44e_GH0.tar.gz) = 373482
+SHA256 (ellzey-libevhtp-1.2.10-3886506_GH0.tar.gz) = b012587dfbf3e12fb2939d4f4856f966513c754bd6f0accffff8d8edef3b629d
+SIZE (ellzey-libevhtp-1.2.10-3886506_GH0.tar.gz) = 360681
Index: www/libevhtp/files/patch-evhtp.h
===================================================================
--- www/libevhtp/files/patch-evhtp.h    (revision 401471)
+++ www/libevhtp/files/patch-evhtp.h    (working copy)
@@ -1,11 +0,0 @@
---- evhtp.h.orig       2015-10-29 19:51:50 UTC
-+++ evhtp.h
-@@ -1285,7 +1285,7 @@ EVHTP_EXPORT evhtp_connection_t *
- evhtp_connection_new(evbase_t * evbase, const char * addr, uint16_t port);
-
- #ifndef DISABLE_SSL
--evhtp_connection_t * evhtp_connection_ssl_new(evbase_t * evbase, const char * addr, uint16_t port, evhtp_ssl_ctx_t * ctx);
-+EVHTP_EXPORT evhtp_connection_t * evhtp_connection_ssl_new(evbase_t * evbase, const char * addr, uint16_t port, evhtp_ssl_ctx_t * ctx);
- #endif
Comment 10 Ultima 2015-11-26 15:08:02 UTC
Created attachment 163551 [details]
seafile.diff

* Updated to 4.4.6
* Added LICENSE_FILE
* Added max python version
* Added many SHEBANGFIX files
* A Few patch files needed to be adjusting for update
* Sed fixed for BSD bug.
* Added %%FUSE%% to plist to make poudriere =D
Comment 11 Ultima 2015-11-26 15:29:58 UTC
(In reply to informatique.src from comment #7)

Updated libevhtp to 1.2.11 and it also fixes the issue causing downloading to fail. Waiting for commit PR 204681
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=204681
Comment 12 Ultima 2015-11-28 16:16:03 UTC
Created attachment 163632 [details]
seafile.diff

* Updated to 4.4.6
* Added LICENSE_FILE
* Added max python version
* Added many SHEBANGFIX files
* A Few patch files needed to be adjusting for update
* Sed fixed for BSD bug.
* Added %%FUSE%% to plist to make poudriere =D
* Added patchfile for request_resume after reply
Comment 13 Ultima 2015-12-08 04:25:29 UTC
Created attachment 163972 [details]
seafile.diff

* Updated to 5.0.2
* Many bug fixes
* Regenerated patchfiles for portlint
* Added patchfile to fix libevhtp
* Added Seafile UID/GID
* Recreated rc script

portlint -A:
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

false pos

poudriere -t -C:
Builds fine on 102amd64, 102i386, 93amd64, 93i386

Testing:

I am currently using this in production and have created many jails to test this patch.
Comment 14 Ultima 2015-12-08 04:30:44 UTC
This patch  needs to be pushed with PR 203929 203930 203933 203934 and 205122
Comment 15 Ultima 2015-12-10 03:04:27 UTC
Created attachment 164031 [details]
seafile.diff

Made a mistake when generating this file (a different name) and resulted in regression. This is the correct patchfile.
Comment 16 Ultima 2015-12-26 19:02:50 UTC
Created attachment 164698 [details]
seafile.diff
Comment 17 Martin Wilke freebsd_committer 2015-12-28 14:17:42 UTC
Hi,

build fails;

http://pkgdev.miwibox.org/data/93amd64-miwi/2015-12-28_20h10m31s/logs/errors/seafile-5.0.2.log


====>> Checking for extra files and directories
====>> Error: Files or directories modified:
%%HAIWENDIR%% user (80, 900) gid (80, 900)

Can you please have a look.
Comment 18 Ultima 2015-12-28 16:50:37 UTC
Added patch for devel/libsearpc that fix this.

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=205669
Comment 19 Ultima 2015-12-29 07:08:35 UTC
Created attachment 164805 [details]
seafile.diff
Comment 20 Ultima 2015-12-30 16:29:23 UTC
Created attachment 164870 [details]
seafile.diff
Comment 21 Ultima 2016-01-10 20:24:29 UTC
Created attachment 165374 [details]
seafile.diff

 * Fixed headers for PR 206093
Comment 22 Ultima 2016-01-29 22:26:24 UTC
Created attachment 166286 [details]
seafile.diff

* Updated to 5.0.5

portlint -AC:
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.

poudriere bulk -Ct:
102amd64: ok
102i386: ok
93amd64: ok
93i386: ok
Comment 23 Ultima 2016-01-31 20:15:13 UTC
Created attachment 166365 [details]
seafile.diff

* Added mysql_uses
* Removed sqlite scripts

 sqlite isn't working, I suggest using mysql.
Comment 24 Ultima 2016-02-23 13:04:11 UTC
Created attachment 167326 [details]
seafile.diff

After r295435 on head, seafile nolonger builds because P_KTHREAD was changed to P_KPROG, Added if for this change.


What all was added?

* P_KTHREAD --> P_KPROG
Comment 25 Ultima 2016-04-16 23:00:00 UTC
Created attachment 169388 [details]
seafile.diff

* Updated to 5.1.1
* Removed old dependencies
Comment 26 Dmitry Marakasov freebsd_committer 2016-04-22 17:27:01 UTC
USERS/GROUPS needed. Passing back to miwi as I'm going on vacation till May 10th.
Comment 27 Ultima 2016-04-22 17:32:18 UTC
Created attachment 169568 [details]
seafile.diff
Comment 28 Ultima 2016-04-23 12:03:09 UTC
Created attachment 169591 [details]
seafile.diff
Comment 29 Ultima 2016-04-23 19:49:35 UTC
Created attachment 169608 [details]
seafile.diff

RC script's new user/group var needed updating with last patch.
Comment 30 Ultima 2016-05-14 17:03:55 UTC
Created attachment 170279 [details]
seafile.diff

* Updated to 5.1.2

portlint -AC: WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

poudriere bulk -tC:
11amd64: Ok
11i386: Ok
103amd64: Ok
103i386: Ok
93amd64: Skipped, spdylay requires OpenSSL 1.0.1+
93i386:Skipped, spdylay requires OpenSSL 1.0.1+
Comment 31 Dmitry Marakasov freebsd_committer 2016-05-24 10:54:46 UTC
Committer timeout
Comment 32 commit-hook freebsd_committer 2016-05-29 13:04:46 UTC
A commit references this bug:

Author: amdmi3
Date: Sun May 29 13:03:51 UTC 2016
New revision: 416100
URL: https://svnweb.freebsd.org/changeset/ports/416100

Log:
  - Update to 5.1.2
  - Multiple port improvements

  PR:		203933
  Submitted by:	Ultima1252@gmail.com (maintainer)

Changes:
  head/net-mgmt/seafile/Makefile
  head/net-mgmt/seafile/distinfo
  head/net-mgmt/seafile/files/patch-common_obj-backend-fs.c
  head/net-mgmt/seafile/files/patch-configure.ac
  head/net-mgmt/seafile/files/patch-controller_seafile-controller.c
  head/net-mgmt/seafile/files/patch-daemon_Makefile.am
  head/net-mgmt/seafile/files/patch-daemon_http-tx-mgr.c
  head/net-mgmt/seafile/files/patch-daemon_repo-mgr.c
  head/net-mgmt/seafile/files/patch-daemon_vc-utils.c
  head/net-mgmt/seafile/files/patch-lib_Makefile.am
  head/net-mgmt/seafile/files/patch-lib_Makfile.am
  head/net-mgmt/seafile/files/patch-lib_net.c
  head/net-mgmt/seafile/files/patch-lib_utils.c
  head/net-mgmt/seafile/files/patch-lib_utils.h
  head/net-mgmt/seafile/files/patch-scripts_setup-seafile.sh
  head/net-mgmt/seafile/files/patch-scripts_upgrade_regenerate__secret__key.sh
  head/net-mgmt/seafile/files/patch-server_access-file.c
  head/net-mgmt/seafile/files/pkg-message.in
  head/net-mgmt/seafile/files/seafile.in
  head/net-mgmt/seafile/pkg-plist